////////////////////////////////////////////////////////////////////////////////
//
// File: particles.h
//
// Description: This is the header file for the particle engine.
//
// Author: Capt. Mike LeSauvage
//
// Revision History: 2 April 2006 - Created
//
////////////////////////////////////////////////////////////////////////////////
#include "competition.h"
#include "variable.h"

void InitParticleSystem(int colorR, int colorG, int colorB);
void AddParticle(int x, int y, int colorR, int colorG, int colorB, float heading, float speed,
		float timeToLive);
void UpdateParticles();
void DrawAParticles(ALLEGRO_BITMAP *bmp);
void DeleteAllParticles(void);
void UpdateParticles(void);
